
From: "Antonino A. Daplas" <adaplas@hotpop.com>

Okay, dropping maximum to 64 MiB.

Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/video/nvidia/nvidia.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/video/nvidia/nvidia.c~nvidiafb-ioremap-and-i2c-fixes-fix drivers/video/nvidia/nvidia.c
--- 25/drivers/video/nvidia/nvidia.c~nvidiafb-ioremap-and-i2c-fixes-fix	2005-04-26 04:40:42.327961696 -0700
+++ 25-akpm/drivers/video/nvidia/nvidia.c	2005-04-26 04:40:42.332960936 -0700
@@ -1511,9 +1511,9 @@ static int __devinit nvidiafb_probe(stru
 	if (vram && vram * 1024 * 1024 < par->FbMapSize)
 		par->FbMapSize = vram * 1024 * 1024;
 
-	/* Limit amount of vram to 128 MB */
-	if (par->FbMapSize > 128 * 1024 * 1024)
-		par->FbMapSize = 128 * 1024 * 1024;
+	/* Limit amount of vram to 64 MB */
+	if (par->FbMapSize > 64 * 1024 * 1024)
+		par->FbMapSize = 64 * 1024 * 1024;
 
 	par->FbUsableSize = par->FbMapSize - (128 * 1024);
 	par->ScratchBufferSize = (par->Architecture < NV_ARCH_10) ? 8 * 1024 :
_
